# Uses of Class
java.lang.management.MemoryUsage

Packages that use MemoryUsage
Package
Description
com.sun.management
This package contains JDK extensions to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of MemoryUsage in com.sun.management

Methods in com.sun.management that return types with arguments of type MemoryUsage
Modifier and Type
Method
Description
`Map<String, MemoryUsage>`
GcInfo.`getMemoryUsageAfterGc()`
Returns the memory usage of all memory pools at the end of this GC.
`Map<String, MemoryUsage>`
GcInfo.`getMemoryUsageBeforeGc()`
Returns the memory usage of all memory pools at the beginning of this GC.

## Uses of MemoryUsage in java.lang.management

Methods in java.lang.management that return MemoryUsage
Modifier and Type
Method
Description
`static MemoryUsage`
MemoryUsage.`from(CompositeData cd)`
Returns a `MemoryUsage` object represented by the given `CompositeData`.
`MemoryUsage`
MemoryPoolMXBean.`getCollectionUsage()`
Returns the memory usage after the Java virtual machine most recently expended effort in recycling unused objects in this memory pool.
`MemoryUsage`
MemoryMXBean.`getHeapMemoryUsage()`
Returns the current memory usage of the heap that is used for object allocation.
`MemoryUsage`
MemoryMXBean.`getNonHeapMemoryUsage()`
Returns the current memory usage of non-heap memory that is used by the Java virtual machine.
`MemoryUsage`
MemoryPoolMXBean.`getPeakUsage()`
Returns the peak memory usage of this memory pool since the Java virtual machine was started or since the peak was reset.
`MemoryUsage`
MemoryNotificationInfo.`getUsage()`
Returns the memory usage of the memory pool when this notification was constructed.
`MemoryUsage`
MemoryPoolMXBean.`getUsage()`
Returns an estimate of the memory usage of this memory pool.
Constructors in java.lang.management with parameters of type MemoryUsage
Modifier
Constructor
Description
``
`MemoryNotificationInfo(String poolName, MemoryUsage usage, long count)`
Constructs a `MemoryNotificationInfo` object.